var x = csv.read('test-c45-3-X.csv'),
    y = csv.read('test-c45-3-Y.csv');
 
x.shift();
y.shift();

var classes=[
'H1None',
'H2None',
'H3None',
'H4None',
'H5None',
'H6None',
'H7None',
'H8None',
'H9None',
'NoneNone',
];

y=y.map(function (c1) {
  return classes.map(function (c2) {
    return c1==c2?1:0
  })
})

var model = ml.learn({
    algorithm : ml.ML.MLP,
    x : x,
    y : y,
    normalize:true,
    // bipolar:true,
    epochs : 20000,
    hidden_layers : [4]
});

print(toJSON(model).length+' Bytes')

var targets,samples = csv.read('test-c45-3-S.csv');
samples.shift();
targets=ml.stats.utils.column(samples,x[0].length);
samples=ml.stats.utils.select(samples,[0,x[0].length-1]);

for(var i=0;i<samples.length;i++)
  print(classes.indexOf(targets[i]+'None'),
        ml.stats.utils.best(ml.classify(model,samples[i])));
